org.apache.ignite.internal.cache.transform

## Interface CacheObjectTransformerProcessor

All Superinterfaces:
  GridComponent, GridProcessor

    public interface CacheObjectTransformerProcessor
    extends GridProcessor

Provides cache object's bytes transformation (eg. encryption, compression, etc).

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

All Methods Instance Methods Abstract Methods
`ByteBuffer` `restore(ByteBuffer transformed)` Restores the data.
`@Nullable ByteBuffer` `transform(ByteBuffer original)` Transforms the data.

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode, validateNode`

### Method Detail

#### transform

    @Nullable
    @Nullable ByteBuffer transform(ByteBuffer original)

Transforms the data.

Parameters:
  `original` - Original data.
Returns:
  Transformed data (started with `GridBinaryMarshaller.TRANSFORMED` when restorable) or `null` when transformation is not possible/suitable.

#### restore

    ByteBuffer restore(ByteBuffer transformed)

Restores the data.

Parameters:
  `transformed` - Transformed data.
Returns:
  Restored data.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023